groovy.xml

## Class NamespaceBuilderSupport

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - groovy.util.BuilderSupport
    - - groovy.xml.NamespaceBuilderSupport

- All Implemented Interfaces:
    GroovyObject

      public class NamespaceBuilderSupport
      extends BuilderSupport

  A helper class for creating namespaced GroovyMarkup
  Author:
    James Strachan, Paul King, Denver Dino

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NamespaceBuilderSupport(BuilderSupport builder)`
    `NamespaceBuilderSupport(BuilderSupport builder, Map nsMap)`
    `NamespaceBuilderSupport(BuilderSupport builder, String uri)`
    `NamespaceBuilderSupport(BuilderSupport builder, String uri, String prefix)`
    `NamespaceBuilderSupport(BuilderSupport builder, String uri, String prefix, boolean autoPrefix)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `createNode(Object name)`
    `protected Object` | `createNode(Object name, Map attributes)`
    `protected Object` | `createNode(Object name, Map attributes, Object value)`
    `protected Object` | `createNode(Object name, Object value)`
    `NamespaceBuilderSupport` | `declareNamespace(Map nsMap)`
    `protected Object` | `getCurrent()`
    `protected Object` | `getName(String methodName)` A hook to allow names to be converted into some other object such as a QName in XML or ObjectName in JMX.
    `NamespaceBuilderSupport` | `namespace(String namespaceURI)`
    `NamespaceBuilderSupport` | `namespace(String namespaceURI, String prefix)`
    `protected void` | `setCurrent(Object current)`
    `protected void` | `setParent(Object parent, Object child)`

    - ### Methods inherited from class groovy.util.BuilderSupport

      `doInvokeMethod, invokeMethod, invokeMethod, nodeCompleted, postNodeCompletion, setClosureDelegate`

    - ### Methods inherited from class groovy.lang.GroovyObjectSupport

      `getMetaClass, getProperty, setMetaClass, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NamespaceBuilderSupport

          public NamespaceBuilderSupport(BuilderSupport builder)

    - #### NamespaceBuilderSupport

          public NamespaceBuilderSupport(BuilderSupport builder,
                                 String uri)

    - #### NamespaceBuilderSupport

          public NamespaceBuilderSupport(BuilderSupport builder,
                                 String uri,
                                 String prefix)

    - #### NamespaceBuilderSupport

          public NamespaceBuilderSupport(BuilderSupport builder,
                                 String uri,
                                 String prefix,
                                 boolean autoPrefix)

    - #### NamespaceBuilderSupport

          public NamespaceBuilderSupport(BuilderSupport builder,
                                 Map nsMap)

  - ### Method Detail

    - #### namespace

          public NamespaceBuilderSupport namespace(String namespaceURI)

    - #### namespace

          public NamespaceBuilderSupport namespace(String namespaceURI,
                                          String prefix)

    - #### declareNamespace

          public NamespaceBuilderSupport declareNamespace(Map nsMap)

    - #### getCurrent

          protected Object getCurrent()

      Overrides:
        `getCurrent` in class `BuilderSupport`

    - #### setCurrent

          protected void setCurrent(Object current)

      Overrides:
        `setCurrent` in class `BuilderSupport`

    - #### setParent

          protected void setParent(Object parent,
                       Object child)

      Specified by:
        `setParent` in class `BuilderSupport`

    - #### getName

          protected Object getName(String methodName)

      Description copied from class: `BuilderSupport`
      A hook to allow names to be converted into some other object such as a QName in XML or ObjectName in JMX.
      Overrides:
        `getName` in class `BuilderSupport`
      Parameters:
        `methodName` - the name of the desired method
      Returns:
        the object representing the name

    - #### createNode

          protected Object createNode(Object name)

      Specified by:
        `createNode` in class `BuilderSupport`

    - #### createNode

          protected Object createNode(Object name,
                          Object value)

      Specified by:
        `createNode` in class `BuilderSupport`

    - #### createNode

          protected Object createNode(Object name,
                          Map attributes)

      Specified by:
        `createNode` in class `BuilderSupport`

    - #### createNode

          protected Object createNode(Object name,
                          Map attributes,
                          Object value)

      Specified by:
        `createNode` in class `BuilderSupport`